curl --request POST \
--url https://api.context.markets/v2/orders/bulk/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
{
"type": "limit",
"marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"trader": "0x1111111111111111111111111111111111111111",
"price": "1000000",
"size": "1000000",
"outcomeIndex": 123,
"side": 0,
"nonce": "0xabc123",
"expiry": "1000000",
"maxFee": "1000000",
"makerRoleConstraint": 0,
"inventoryModeConstraint": 0,
"signature": "0xabc123",
"buyValue": "1000000",
"timeInForce": 0,
"clientOrderType": "limit"
}
]
}
'{
"success": true,
"results": [
{
"type": "create",
"success": true,
"order": {
"marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"trader": "0x1111111111111111111111111111111111111111",
"nonce": "0xabc123",
"side": 0,
"price": "1000000",
"size": "1000000",
"filledSize": "1000000",
"remainingSize": "1000000",
"percentFilled": 123,
"insertedAt": "2023-11-07T05:31:56Z",
"type": "limit",
"status": "open",
"voidedAt": "2023-11-07T05:31:56Z",
"voidReason": "UNFILLED_MARKET_ORDER",
"outcomeIndex": 123,
"expiry": "1000000",
"settlementVersion": 1,
"sv2OrderKind": 0,
"sv2TimeInForce": 0,
"sv2MinSharesOut": "1000000",
"sv2MaxCollateralIn": "1000000",
"sv2MinCollateralOut": "1000000"
}
}
]
}curl --request POST \
--url https://api.context.markets/v2/orders/bulk/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
{
"type": "limit",
"marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"trader": "0x1111111111111111111111111111111111111111",
"price": "1000000",
"size": "1000000",
"outcomeIndex": 123,
"side": 0,
"nonce": "0xabc123",
"expiry": "1000000",
"maxFee": "1000000",
"makerRoleConstraint": 0,
"inventoryModeConstraint": 0,
"signature": "0xabc123",
"buyValue": "1000000",
"timeInForce": 0,
"clientOrderType": "limit"
}
]
}
'{
"success": true,
"results": [
{
"type": "create",
"success": true,
"order": {
"marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"trader": "0x1111111111111111111111111111111111111111",
"nonce": "0xabc123",
"side": 0,
"price": "1000000",
"size": "1000000",
"filledSize": "1000000",
"remainingSize": "1000000",
"percentFilled": 123,
"insertedAt": "2023-11-07T05:31:56Z",
"type": "limit",
"status": "open",
"voidedAt": "2023-11-07T05:31:56Z",
"voidReason": "UNFILLED_MARKET_ORDER",
"outcomeIndex": 123,
"expiry": "1000000",
"settlementVersion": 1,
"sv2OrderKind": 0,
"sv2TimeInForce": 0,
"sv2MinSharesOut": "1000000",
"sv2MaxCollateralIn": "1000000",
"sv2MinCollateralOut": "1000000"
}
}
]
}